Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.Rotation.

# identity

static Rotation.identity(num=None, *, shape=None)

  Get identity rotation(s).

  Composition with the identity rotation has no effect.

  Parameters:
    num int or None, optional

      Number of identity rotations to generate. If None (default), then a single rotation is generated.

    shape int or tuple of ints, optional

      Shape of identity rotations to generate. If specified, num must be None.

  Returns:
    identity Rotation object

      The identity rotation.